
ctools - Change request #1603

Adapt ctools code to recent gammalib GFilename implementation

12/14/2015 11:53 AM - Mayer Michael

Status: Closed Start date: 12/14/2015

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

I realised that on the latest devel version of gammalib, the ctools unit tests are failing. The reason is in ctool::create_ebounds.

The function GEbounds::load(std::string filename, std::string extname) was replaced by GEbounds::load(std::string filename).

History

#1 - 12/14/2015 11:56 AM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- % Done changed from 0 to 100

I have updated the code to match the latest gammalib developments. I had to slightly update ctool::create_ebounds() and csobs2caldb to run in latest

scheme. The code is available on 1603-use-latest-GFilename-developments

#2 - 12/14/2015 01:08 PM - Mayer Michael

- Description updated

#3 - 12/16/2015 09:47 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Thanks for the changes. Merged into devel.
